TakenAt: 2022-12-25T04:37:31Z
TakenAtLocal: 2022-12-25T12:37:31Z
TakenSrc: meta
UID: pt67rhdz17g1i25i
Type: image
Title: Portrait / Tabuk / 2022
TimeZone: Asia/Manila
PlaceSrc: meta
Altitude: 181
Lat: 17.42311666666667
Lng: 121.4428638888889
Year: 2022
Month: 12
Day: 25
ISO: 100
Exposure: 1/60
FNumber: 1.8
FocalLength: 28
Quality: 4
Faces: 1
Details:
  Keywords: brown, cagayan, kalinga, philippines, portrait, provincial, road, shell,
    tabuk
  Software: "16.2"
  SoftwareSrc: meta
CreatedAt: 2025-11-24T04:36:49Z
UpdatedAt: 2025-11-24T08:51:39Z
